Subject: Don't leave family members to pick up the tab on funeral costs

From: "Burial Insurance" <[email-masked]>
Date: Thu, 10 Dec 2015 01:12:42 GMT

Don't leave family members to pick up the tab on funeral costs in sponsored ads